Subject: [bfcpbis] I-D Action: draft-ietf-bfcpbis-rfc4582bis-07.txt

From: [email-masked]
Date: Wed, 19 Dec 2012 05:20:19 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the Binary Floor Control Protocol Bis  Working Group of the IETF.

	Title           : The Binary Floor Control Protocol (BFCP)
	Author(s)       : Gonzalo Camarillo
                          Keith Drage
                          Tom Kristensen
                          Joerg Ott
                          Charles Eckel
	Filename        : draft-ietf-bfcpbis-rfc4582bis-07.txt
	Pages           : 89
	Date            : 2012-12-19

Abstract:
   Floor control is a means to manage joint or exclusive access to
   shared resources in a (multiparty) conferencing environment.
   Thereby, floor control complements other functions -- such as
   conference and media session setup, conference policy manipulation,
   and media control -- that are realized by other protocols.

   This document specifies the Binary Floor Control Protocol (BFCP).
   BFCP is used between floor participants and floor control servers,
   and between floor chairs (i.e., moderators) and floor control
   servers.

   This document obsoletes RFC 4582.  Changes from RFC 4582 are
   summarized in Section 16.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-bfcpbis-rfc4582bis

There's also a htmlized version available at:
http://tools.ietf.org/html/draft-ietf-bfcpbis-rfc4582bis-07

A diff from the previous version is available at:
http://www.ietf.org/rfcdiff?url2=draft-ietf-bfcpbis-rfc4582bis-07

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Tom Kristensen <[email-masked]>
Date: Wed, 19 Dec 2012 14:44:33 +0100

> 	Filename        : draft-ietf-bfcpbis-rfc4582bis-07.txt

Changes from -06:
- Language clarification - mail on list from Charles Eckel 2012-10-13
- Language clarification - use "BFCP connection" across the document,
   change three occurences of "BFCP association".
- Resolved a lot of issues, small and large - mail on list 2012-10-24
   after WGLC from Gonzalo Camarillo. Also, later mail discussion
   with regard to 5 of the issues.
- Added reference to RFC 5763, Section 6.7 - mail on list from Christer
   Holmberg 2012-11-28.

To my knowledge, in this draft version all the issues from WGLC and 
after are answered and fixed if appropriate.

-- Tom

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Wed, 19 Dec 2012 22:08:08 +0000

Everyone who submitted WGLC comments, please confirm this version addresses all your comments satisfactorily.
Everyone else, please review the entire draft carefully and share any comment or concerns you have.
Thanks to Tom for incorporating all the feedback and posting this update.

Happy Holidays!
Charles

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Tom Kristensen (tomkrist)
> Sent: Wednesday, December 19, 2012 5:45 AM
> To: [email-masked]
> Cc: 'Tom Kristensen'
> Subject: Re: [bfcpbis] I-D Action: draft-ietf-bfcpbis-rfc4582bis-07.txt
> 
> _______________________________________________
> bfcpbis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bfcpbis

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Wed, 26 Dec 2012 23:03:09 +0000

Hi Tom,

I had a close look at the changes, and overall they look okay to me.
During my review, I did notice a few editorial things that are worth fixing:
1) many of the references to [16] do not work correctly, including the first reference in section 3.2, as well as those in section 6.2.
2) For the note added in section 5.1, you have an extra 'a' and are missing a comma:
r/BFCP is designed to a achieve small message size, as explained in Section 1 and BFCP entities/BFCP is designed to achieve small message size, as explained in Section 1, and BFCP entities
3) Section 6.2:
r/ security considerations in Section 6 also applies/security considerations in Section 6 also apply
4) section 6.2.3:
r/A Denial of Service (DoS) attacks/A Denial of Service (DoS) attack
5) Section 8, I think we should rework the following paragraph:

   When using BFCP over unreliable transport, it is also required to
   choose values that let the receiver distinguish the reception of the
   next message in a sequence of BFCP messages from a retransmission of
   a previous message.  Therefore, BFCP entities using unreliable
   transport SHOULD use monotonically increasing values for the
   Transaction ID.

To read as follows:

   When using BFCP over an unreliable transport, it is important that the initiator 
   of a transaction choose a Transaction ID value that lets the receiver distinguish
   the reception of the next message in a sequence of BFCP messages from a retransmission of
   a previous message.  Therefore, BFCP entities using an unreliable  transport SHOULD use
   monotonically increasing Transaction ID values.

6) Section 8, 
r/When using BFCP over unreliable transports/When using BFCP over an unreliable transport
Note, a similar change was made in many places in order to address comments from Gonzalo; however, a global search and replace should be done to catch numerous other places in which it still occurs.

Cheers,
Charles

> Behalf Of Charles Eckel (eckelcu)
> Sent: Wednesday, December 19, 2012 2:08 PM
> To: Tom Kristensen (tomkrist); [email-masked]
> Cc: 'Tom Kristensen'
> Everyone who submitted WGLC comments, please confirm this version
> addresses all your comments satisfactorily.
> > >   This draft is a work item of the Binary Floor Control Protocol Bis
> Working
> > Group of the IETF.
> > >